------------------------------------------------------------------------------
-- SellableItemDrops - Logging your sellable item drops
------------------------------------------------------------------------------
-- Modules/PFCH.lua - Convert pet items to their caged versions
--
-- Author: Expelliarm5s / January 2023 / All Rights Reserved
--
-- Version 1.4.30
------------------------------------------------------------------------------
-- luacheck: ignore 212

local _, addon = ...
local PFCH = addon:NewModule("PFCH", "AceConsole-3.0")
------------------------------------------------------------------------------

------------------------------------------------------------------------------
-- Debug Stuff

function PFCH:DebugPrintf(...)
	if addon.isDebug then
		local status, res = pcall(format, ...)
		if status then
			addon:DebugLog("PFCH~" .. res)
		end
	end
end

-- load current session data
function PFCH:Load()
	PFCH:DebugPrintf("OnEnable()")
end

-- newShortItemString = PfchItemID2Species(itemID)
function PFCH:PfchItemID2Species(itemID)
	if itemID and type(itemID) == "number" and addon.PfchData and addon.PfchData[itemID] then
		return addon.PfchData[itemID]
	end
end

-- EOF
